Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1736518 - python-onionbalance: FTBFS in Fedora rawhide/f31
Summary: python-onionbalance: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-onionbalance
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Marcel Haerry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS F32FTBFS F32FailsToInstall PYTHON38 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 18:41 UTC by Fedora Release Engineering
Modified: 2019-09-16 20:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-16 20:29:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2019-08-01 18:41 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2019-08-01 18:41 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2019-08-01 18:41 UTC, Fedora Release Engineering
no flags Details
patch for pytest 4 support (deleted)
2019-09-16 14:20 UTC, Miro Hrončok
no flags Details | Diff

Description Fedora Release Engineering 2019-08-01 18:41:37 UTC
python-onionbalance failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36637175


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix python-onionbalance at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-onionbalance will be orphaned. Before branching of Fedora 32,
python-onionbalance will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 18:41:40 UTC
Created attachment 1598811 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2019-08-01 18:41:42 UTC
Created attachment 1598812 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 18:41:44 UTC
Created attachment 1598813 [details]
state.log

Comment 4 Miro Hrončok 2019-08-05 08:30:04 UTC
This blocks the Python 3.8 rebuild.

Comment 5 Ben Cotton 2019-08-13 16:52:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 18:34:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Miro Hrončok 2019-08-14 22:24:45 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 8 Miro Hrončok 2019-08-21 16:35:30 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 9 Miro Hrončok 2019-08-21 17:29:29 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 10 Miro Hrončok 2019-09-16 08:50:13 UTC
This issue is blocking the Python 3.8 rebuilds. If this package won't build with 3.8, it won't be installable, along with all its dependent packages, in Fedora 32.
Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well.

Could you please look into this?

Comment 11 Marcel Haerry 2019-09-16 13:53:04 UTC
This was reported upstream a while ago: https://github.com/DonnchaC/onionbalance/issues/71

But no movement so far.

My resources and know how to make it work on Python 3.8 are limited.

I am not sure what to do more here and I guess if upstream is not interested in fixing it, it's time to not include the package any further.

Comment 12 Miro Hrončok 2019-09-16 14:12:48 UTC
I see this in the log:

BUILDSTDERR: Failed: [pytest] section in setup.cfg files is no longer supported, change to [tool:pytest] instead.

Maybe we just need to sed that section name? Will test.

Comment 13 Miro Hrončok 2019-09-16 14:16:32 UTC
The next error is

E   TypeError: object of type 'MarkDecorator' has no len()

That is https://docs.pytest.org/en/latest/deprecations.html#marks-in-pytest-mark-parametrize

Will try to supply a patch.

Comment 14 Miro Hrončok 2019-09-16 14:20:25 UTC
Created attachment 1615548 [details]
patch for pytest 4 support

Patch attached. Could you take it form there and apply it + propose the change upstream?

Comment 15 Marcel Haerry 2019-09-16 15:36:43 UTC
I'll do it. Thank you for your help.

Comment 16 Marcel Haerry 2019-09-16 20:29:26 UTC
Build went through: https://koji.fedoraproject.org/koji/buildinfo?buildID=1378342


Note You need to log in before you can comment on or make changes to this bug.